Update 301 redirect

Update a 301 redirection rule from a site. <Warning title="Enterprise Only">This endpoint requires an Enterprise workspace.</Warning> Required scope: `sites:write`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
redirect_idstringRequiredformat: "objectid"
Unique identifier site redirect

Request

This endpoint expects an object.
fromUrlstringOptional
The source URL path that will be redirected.
toUrlstringOptional
The target URL path where the user or client will be redirected.

Response

Request was successful
idstringRead-only
The ID of the specific redirect rule
fromUrlstring
The source URL path that will be redirected.
toUrlstring
The target URL path where the user or client will be redirected.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error